Bug 811689 - Review Request: python-tw2-forms - Forms for ToscaWidgets2
Review Request: python-tw2-forms - Forms for ToscaWidgets2
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On: 720818
Blocks: 811732 811769 818293
  Show dependency treegraph
 
Reported: 2012-04-11 14:21 EDT by Ralph Bean
Modified: 2014-11-12 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-22 11:34:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2012-04-11 14:21:29 EDT
Spec URL: http://threebean.org/rpm/python-tw2-forms.spec
SRPM URL: http://threebean.org/rpm/python-tw2-forms-2.0.2-1.fc17.src.rpm
Description: 
ToscaWidgets is a web widget toolkit for Python to aid in the creation,
packaging and distribution of common view elements normally used in the web.

tw2.forms contains the basic form widgets.

This package requires python-tw2-core which is currently in process at https://bugzilla.redhat.com/show_bug.cgi?id=720818
Comment 1 Ralph Bean 2012-04-30 17:55:33 EDT
Updated to make some changes I learned from my last package review.

Spec URL: http://threebean.org/rpm/python-tw2-forms.spec
SRPM URL: http://threebean.org/rpm/python-tw2-forms-2.0.2-2.fc17.src.rpm

koji scratch builds fail only because python-tw2-core is still in updates-testing.  If you add updates-testing to your mock config, fedora-review should be able to run just fine.

koji - f17 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4037157
koji - el6 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4037175
Comment 2 Tom "spot" Callaway 2012-05-02 14:23:24 EDT
== REVIEW ==

Good:

- rpmlint checks return nothing
- package meets naming guidelines
- package meets packaging guidelines
- license (MIT) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 
- %check okay

Nice clean simple little Python package. APPROVED.
Comment 3 Ralph Bean 2012-05-02 14:42:35 EDT
New Package SCM Request
=======================
Package Name: python-tw2-forms
Short Description: Forms for ToscaWidgets2
Owners: ralph
Branches: f17 el6
InitialCC:
Comment 4 Gwyn Ciesla 2012-05-03 09:12:23 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-05-03 10:47:31 EDT
python-tw2-forms-2.0.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-tw2-forms-2.0.2-2.fc17
Comment 6 Fedora Update System 2012-05-03 13:12:28 EDT
python-tw2-forms-2.0.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-tw2-forms-2.0.2-2.el6
Comment 7 Fedora Update System 2012-05-03 23:11:12 EDT
python-tw2-forms-2.0.2-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Fedora Update System 2012-05-22 11:34:35 EDT
python-tw2-forms-2.0.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 9 Fedora Update System 2012-05-26 03:39:54 EDT
python-tw2-forms-2.0.2-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 10 Ralph Bean 2014-11-12 15:25:19 EST
Package Change Request
======================
Package Name: python-tw2-forms
New Branches: epel7
Owners: ralph
InitialCC:
Comment 11 Gwyn Ciesla 2014-11-12 17:07:27 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.